Skip to main content
GET
/
teams
/
{team_id}
/
management
Get team management state
curl --request GET \
  --url https://api.superserve.ai/teams/{team_id}/management \
  --header 'X-API-Key: <api-key>'
{
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "members": [
    {
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "full_name": "<string>",
      "roles": [
        "<string>"
      ]
    }
  ],
  "assignments": [
    {
      "assignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "role_name": "<string>",
      "scope_type": "team",
      "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "granted_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "granted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "revoked_at": "2023-11-07T05:31:56Z"
    }
  ],
  "capabilities": {
    "can_view_role_assignments": true,
    "can_invite_members": true,
    "can_deactivate_members": true,
    "can_assign_roles": true,
    "can_revoke_roles": true
  },
  "mutation_options": {
    "member_statuses": [],
    "assignable_roles": [
      "<string>"
    ]
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

team_id
string<uuid>
required

Response

Team management state

team_id
string<uuid>
required
members
object[]
required
assignments
object[]
required
capabilities
object
required
mutation_options
object